Skip to main content
POST
/
api
/
v1
/
repositories
cURL
curl --request POST \
  --url https://api.example.com/api/v1/repositories \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>"
}
'
{
  "name": "<string>",
  "repo_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body for POST /api/v1/repositories

name
string
required

The name of the repository (alphanumeric, hyphens, underscores, dots, 1-64 chars)

description
string | null

Optional description of the repository

Response

Repository created

Response body for POST /api/v1/repositories

name
string
required

The name of the repository

repo_id
string<uuid>
required

The ID of the newly created repository